body {
  font-family: Verdana;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  position: relative;
  background: #151515;


}



/* js fade load in styling */

.content {
  opacity: 0;
  transform: translateY(50px);
  transition: opacity 1.3s ease-out, transform 1.3s ease-out;
}

.content.loaded {
  opacity: 1;
  transform: translateY(0);
}

.content.visible {
  opacity: 1;
  transform: translateY(0);
}

.content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}


/* light vs dark modes */ 

body.light-mode {
  background: #e4e4e4;
}

body.dark-mode {
  background: #151515;
}


body.light-mode .content-title {
  color: #151515;
}

body.dark-mode .content-title {
  color: #e4e4e4;
}

body.light-mode .title-title {
  color: #151515; 
}

body.dark-mode .title-title {
  color: #e4e4e4; 
}

body.light-mode .link{
  color: #0776ad 
}

body.dark-mode .link{
  color: #bde9ff 
}

body.light-mode .description-box {
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #efefef;
  color: #151515;
}

body.dark-mode .description-box {
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #0b0b0b;
  color: #e4e4e4;

}


body.light-mode .illustrations-description-box {
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #efefef;
  color: #151515;

}


body.dark-mode .illustrations-description-box{
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #0b0b0b;
  color: #e4e4e4;

}

body.light-mode .illustrations-title {
  color: #151515;
  
}


body.dark-mode .illustrations-title {
  color: #e4e4e4;
  
}

body.light-mode .animations-description-box {
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #efefef;
  color: #151515;

}

body.dark-mode .animations-description-box{
  border: 2.5px solid #ffa2dc;
  border-radius: 15px;
  background-color: #0b0b0b;
  color: #e4e4e4;

}





.toggle-container {
  position: fixed;
  bottom: 20px;
  right: 20px;
  cursor: pointer;
  z-index: 1001; /* ensures the toggle button is above other elements */

}

#toggle-icon {
  width: 65px;
  height: 65px;
  transition: transform 0.3s, filter 0.3s;

}

#toggle-icon:hover {
  transform: scale(1.1);
  filter: brightness(1.2);
}



h2 {
  font-size: 35px;
}


.background-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1; /* make the background is behind the body content */
}


.background-gif {
  width: 100%;
  height: 100%;
  /* background: url('starry2.gif') no-repeat center center fixed; */
  background-size: cover;
  opacity: 0.05;
}

header {
  padding: 15px;
  position: relative;
  top: 0px;
  background-color: rgba(255, 40, 187, 0.388);
}

.header img {
  height: 70px;
  width: 300px;
  transition: transform 0.8s ease; 
}


.header img:hover {
  filter: brightness(70%);
  transform: scale(0.90);
  transition: transform 0.4s ease;
}

.main {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px;
  flex: 1;
}

.text-container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}



.text {
  padding: 0 20px; /* adjust spacing between image and text */
  color: #ffffff;
}

.image {
  width: 280px;
  margin-right: 20px; /* adjust spacing between image and text */
  border-radius: 10px; 
}

.navigation {
  position: absolute;
  top: 20px;
  right: 10px;
  display: flex;
  align-items: center;
}

.navigation img {
  width: 100px; /* increases icon size */
  margin-left: 30px; /* adjust spacing between icons */
  cursor: pointer;
  transition: transform 0.7s ease; 
}

.navigation img:hover {
  filter: brightness(70%);
  transform: scale(0.90);
  transition: transform 0.3s ease;
}

.projects-header {
  text-align: center;
  color: rgb(255, 83, 189);
  font-family: Verdana;
  font-size: 40px;
  margin: 10px; 
}

.tabs {
  display: flex;
  justify-content: center;
  margin: 50px 0;
}

.tab-button {
  font-family: Verdana;
  font-size: 18px;
  font-weight: bold;
  background-color: rgb(255, 40, 187, 0.388);
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  margin: 0 5px;
  transition: background-color 0.3s ease;
  border-radius: 10px
}

.tab-button:hover {
  background-color: #fe5cb8;
}

.tab-button.active {
  background-color: #f30096; /* different color for active tab */
}


.container {
  max-width: 800px; 
  width: 100%; 
  display: flex;
  flex-direction: column; 
  justify-content: center;
  align-items: center;
  text-align: center; 
  margin: 30px auto; 
  border-radius: 10px;
  background-color: rgba(255, 83, 189, 0.732);
  padding: 20px;
  font-size: 20px;
  color: white;
}



.tab-content {
  display: none;
  text-align: center;
  color: #000000;
  font-family: Arial;
  font-size: 18px;
  line-height: 1.3;

}

#iframe-container {
  width: 85%;
  height: 80vh; 
  margin: 20px auto;
  border: 3px solid #ffa2dc;
  /* border: 3px solid #ff00dd; */
  border-radius: 15px;
  overflow: hidden;
}

#iframe-container iframe {
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 15px;
}

#websites {
  display: block; /* show the first tab by default */
}



.content-title {
  font-family: Verdana;
  font-size: 30px; 
  color: #eeb2e6;
  margin-bottom: 2px; 
  transition: color 0.3s ease; 
  text-align: center; 
  text-decoration: underline; 
}

.content-title:hover {
  color: #00d5ff; 
}


.game-logo {
  width: 400px; 
  display: block;
  margin: 0 auto; 
  transition: transform 0.3s ease; 

}

.game-logo:hover {
  transform: scale(1.1); /* scale up the image to 110% of its original size */
}

.description-box {
  margin: 20px;
  padding: 20px;
  border: 2.5px solid #dcbeff;
  border-radius: 15px;
  background-color: #312a4e;
  color: #fff0fe;
  text-align: left;
  max-width: 50%;
  margin: 20px auto; /* center the box */
}


.illustrations-description-box {
  margin: 20px;
  padding: 20px;
  border: 2.5px solid #dcbeff;
  border-radius: 15px;
  background-color: #312a4e;
  color: #fff0fe;
  text-align: left;
  max-width: 50%;
  margin: 20px auto; /* center the box */
}

.illustrations-title {
  font-family: Verdana ;
  font-size: 30px; 
  color: #eeb2e6;
  margin-bottom: 2px; 
  transition: color 0.3s ease; 
  text-align: center;
  text-decoration: underline; 
}


.illustrations-gallery {
  display: flex;
  justify-content: center; 
  align-items: center; 
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 20px;
}

.illustration {
  width: 280px;
  height: auto;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.illustration:hover {
  transform: scale(1.1);
}

.illustrations-flyer {
  width: 600px;
  height: auto;
  border-radius: 10px;
  transition: transform 0.3s ease;

}

.illustrations-flyer:hover {
  transform: scale(1.1);
}



.slider-container {
  overflow: hidden;
  width: 100%; 
  height: 400px; 
  position: relative;
}

.slider {
  display: flex;
  width: calc(300px * 3); /* adjust based on the number of images */
  animation: slide 20s linear infinite;
}

.slider img {
  width: 300px; /* makes images larger */
  height: 300px; /* make images are square */
  object-fit: cover; /* images cover the area without distortion */
}

@keyframes slide {
  0% { transform: translateX(0); }
  100% { transform: translateX(-100%); }
}



.title-title {
  font-family: Verdana;
  font-size: 30px;
  color: #eeb2e6;
  margin-bottom: 2px; 
  transition: color 0.3s ease; 
  text-align: center; 
  text-decoration: underline; 
}





.animations-description-box {
  margin: 20px;
  padding: 20px;
  border: 2.5px solid #dcbeff;
  border-radius: 15px;
  background-color: #312a4e;
  color: #fff0fe;
  text-align: left;
  max-width: 50%;
  margin: 20px auto; 
}


.video-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.video-container iframe {
  width: 700px;
  height: 400px;
  border: 0;
  border-radius: 15px; 
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); 
}


.gif-container {
  display: flex;
  justify-content: center; 
  align-items: center;
  flex-wrap: wrap; 
  margin: 20px auto; 
  max-width: 900px; 
}

.gif-container img {
  width: 300px; 
  height: auto; 
  border-radius: 10px; 
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); 
  margin: 20px;
}


.pdf-container {
  width: 90%; 
  max-width: 1200px; 
  height: 85vh; 
  margin: 30px auto; 
  border: 3px solid #ffa2dc; 
  border-radius: 15px; 
  overflow: hidden; 
  background-color: #f9f9f9; 
}

.pdf-container iframe {
  width: 100%; 
  height: 100%; 
  border: none; 
}





#myBtn {
  display: none; 
  position: fixed;
  bottom: 100px;
  right: 25px;
  z-index: 99;
  width: 60px; 
  height: 60px; 
  cursor: pointer;
  border: none; 
  transition: filter 0.3s ease; 
  filter: brightness(2); 

}

#myBtn:hover {
  filter: brightness(1.3); 
}




.ankhlave-title {
  font-family: Verdana;
  font-size: 25px; 
  color: #ff3f3f;
  transition: color 0.3s ease; 
  text-align: center; 
  text-decoration: underline; 
}


.ankhlave-title:hover {
  color: #8f1111;
}



.image-row {
  display: flex;
  justify-content: center;
  align-items: center; /* centers images vertically */
  gap: 20px; /* add space between the images */
  margin: 30px;
}

.image-container {
  position: relative;
  width: 18%; 
  overflow: hidden; 
  border-radius: 15px; 
  transition: transform 0.5s ease; /* smooth transition for image enlargement */
}

.image-container img {
  width: 100%;
  display: block;
  transition: opacity 0.5s ease; /* smooth transition for opacity change */
  border-radius: 15px; 
}

.image-container .after {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

.image-container:hover .before {
  opacity: 0;
}

.image-container:hover .after {
  opacity: 1;
}

.caption, .caption-hover {
  position: absolute;
  bottom: 10px;
  left: 10px;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  padding: 5px;
  border-radius: 5px; 
  display: none;
}

.caption {
  display: block;
}

.image-container:hover .caption {
  display: none;
}

.image-container:hover .caption-hover {
  display: block;
}

.enlarge-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  padding: 5px 10px;
  background-color: #ff000076;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.enlarge-btn:hover {
  background-color: #83000072;
}

.popup {
  display: none; 
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  text-align: center;
}

.popup-content {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.popup-image-container {
  text-align: center;
}

.popup img {
  max-width: 100%;
  max-height: 100%;
  border-radius: 15px;
}

.popup-caption {
  margin-top: 10px;
  color: white;
  font-size: 1.2em;
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 35px;
  color: white;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}

.close-btn:hover,
.close-btn:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}





















footer {
  padding: 15px;
  text-align: center;
  margin-top: auto;
  background-color: rgb(255, 40, 187, 0.388);
}

.footer-text {
  color: #ffffff;
  font-family: 'Press Start 2P', cursive;
  font-size: 12px;
  text-align: center;
}

footer a {
  text-decoration: none;
}

footer a:hover {
  color: rgb(0, 131, 219)!important;
}


































@media only screen and (max-width: 700px) {
  header {
    text-align: center; 
  }

  

  h1 {
    margin: 50px auto 95px; 
    text-align: center; 
  }

  .header-image {
    margin: 50px auto 90px; 
    text-align: center; 
  }

 

  .navigation {
    position: absolute;
    top: calc(140px); 
    display: flex;
    align-items: center;
    justify-content: center; 
    width: 100%; 
    padding: 0 10px; 
    box-sizing: border-box; 
  }

  .navigation img {
    width: 80px; 
    margin-left: 20px; 
  }

  .tabs {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 20px 0; 
  }

  .tab-button {
    font-size: 12px; 
    padding: 8px 12px; 
    margin: 5px; 
  }


  .container {
    max-width: 700px;
    width: 80%;
    display: flex;
    flex-direction: column; 
    justify-content: center;
    align-items: center;
    margin: 0px auto;
    border-radius: 10px;
    padding: 20px;
}

  .illustration {
    width: 150px; 
    height: auto;
  }

  .illustrations-flyer {
    width: 300px; 
    height: auto; 
  }

.video-container {
    padding: 10px; 
  }

  .video-container iframe {
    width: 100%;
    height: auto; 
    max-width: 100%;
    max-height: 300px; 
  }



  .pdf-container {
    width: 90%; 
    height: 70vh; 
    margin: 10px auto; 
    border-radius: 10px; 
  }

  embed {
    width: 90%;
    height: 300px; 
  }


  .image-row {
    flex-direction: column; 
    align-items: center; 
    gap: 15px; 
}

.image-container {
    width: 90%; 
    margin-bottom: 20px; 
}

.caption, .caption-hover {
    bottom: 5px;
    left: 5px;
    padding: 3px;
    font-size: 0.9em; 
}

.enlarge-btn {
    top: 5px;
    right: 5px;
    padding: 3px 6px;
    font-size: 0.8em;
}
}

